Bug 190823 - Add more tests for the Find UI
Summary: Add more tests for the Find UI
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: UI Events (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on:
Blocks: 184297
  Show dependency treegraph
 
Reported: 2018-10-23 03:18 PDT by Frédéric Wang (:fredw)
Modified: 2018-10-25 05:47 PDT (History)
4 users (show)

See Also:


Attachments
Patch (234.84 KB, patch)
2018-10-23 03:24 PDT, Frédéric Wang (:fredw)
tonikitoo: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2018-10-23 03:18:19 PDT
Extracting from bug 184297 the tests that already pass after r224284.
Comment 1 Frédéric Wang (:fredw) 2018-10-23 03:24:55 PDT
Created attachment 352966 [details]
Patch
Comment 2 Frédéric Wang (:fredw) 2018-10-23 06:12:17 PDT
Can someone please review this patch? It is just about adding more tests.
Comment 3 Frédéric Wang (:fredw) 2018-10-24 10:06:36 PDT
Comment on attachment 352966 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=352966&action=review

> LayoutTests/platform/ios/fast/scrolling/find-text-in-subframe.html:9
> +      window.internals.settings.setAsyncFrameScrollingEnabled(true);

This should have if (window.internals)
Comment 4 Antonio Gomes 2018-10-25 05:24:39 PDT
Comment on attachment 352966 [details]
Patch

r+ with your self-comment addressed.
Comment 5 Frédéric Wang (:fredw) 2018-10-25 05:46:36 PDT
Committed r237411: <https://trac.webkit.org/changeset/237411>
Comment 6 Radar WebKit Bug Importer 2018-10-25 05:47:28 PDT
<rdar://problem/45551540>